package com.xmomen.module.user.entity.mapper;

import com.xmomen.module.user.entity.SysUsersRoles;
import com.xmomen.module.user.entity.SysUsersRolesExample;
import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper，用于操作SysUsersRoles表
public interface SysUsersRolesMapper extends MybatisMapper {
    // 根据条件统计SysUsersRoles表中的记录数
    int countByExample(SysUsersRolesExample example);

    // 根据条件删除SysUsersRoles表中的记录
    int deleteByExample(SysUsersRolesExample example);

    // 插入一条记录到SysUsersRoles表中
    int insertSelective(SysUsersRoles record);

    // 根据条件更新SysUsersRoles表中的记录
    int updateByExampleSelective(@Param("record") SysUsersRoles record, @Param("example") SysUsersRolesExample example);
}